﻿// Copyright (c) Microsoft Corporation.
// This sample code is provided "as is" without warranty of any kind. 

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using CarServiceApplictaion.CarServiceReference;

namespace CarServiceApplictaion
{
    class Program
    {
        static void Main(string[] args)
        {
            var client = new FMIncCarServiceClient();

            var cars = client.RetrieveAllCars(null);

            Console.WriteLine("Make, Model, VIN, Status");

            foreach (var car in cars)
            {
                Console.WriteLine("{0}, {1}, {2}, {3}",
                    car.Make,
                    car.Model,
                    car.VIN,
                    Enum.GetName(typeof(FMVehicleStatus), car.Status));
            }

            Console.ReadLine();
        }
    }
}
